Preparing the Sources
=========================

The project *dune-amdis* requires a modern compiler supporting c++14 standard
and an up-to-date cmake >= 3.1 installed on the system.

Installation using dune-docker
------------------------------

The easyest way to compile and run the code is to use the prepared docker images.
Therefore, 1. install *docker*, 2. clone the project *dune-docker*, 3. create the
image `dune:git`, 4. run this docker image with interactive shell. 
(See also the `README.md` in the *dune-docker* project for details).

Prepare for installation
------------------------

In order to resolve external dependencies, run the script `contrib/ci-setup`. This
will download the latest MTL4 library (and maybe more).

Compile and link the library and examples
-----------------------------------------

Simply run

```
dunecontrol --opts=/duneci/opts.gcc --current all
```

to build the library and to compile and link the examples from the `src/` directory.